SocialPortalBridge (Social Portal ASL Extension 0.1.2-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.applicationsupportlayer.social
Class SocialPortalBridge

    java.lang.Object
      org.gcube.applicationsupportlayer.social.SocialPortalBridge

Direct Known Subclasses:
  ApplicationNewsManager, ApplicationNotificationsManager

    public class SocialPortalBridge

extends Object

Version:
  0.1 Dec 2012 superclass for notifications, posting news and so on
Author:
  Massimiliano Assante, ISTI-CNR

Field Summary
`protected static org.gcube.common.core.utils.logging.GCUBEClientLog` | `_log`
`protected org.gcube.portal.databook.shared.ApplicationProfile` | `applicationProfile`
`protected org.gcube.application.framework.core.session.ASLSession` | `aslSession`

Constructor Summary
`SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session)`
`SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session, String portletClassName)`

Method Summary
`protected String` | `escapeHtml(String html)` Escape an html string.
`org.gcube.portal.databook.shared.ApplicationProfile` | `getApplicationProfile()`
`protected String` | `getScopeByOrganizationId(String vreid)`
`static org.gcube.portal.databook.server.DatabookStore` | `getStoreInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected static org.gcube.common.core.utils.logging.GCUBEClientLog _log

### aslSession

    protected org.gcube.application.framework.core.session.ASLSession aslSession

### applicationProfile

    protected org.gcube.portal.databook.shared.ApplicationProfile applicationProfile

Constructor Detail

### SocialPortalBridge

    public SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session,
                              String portletClassName)

Parameters:
  `session` -

### SocialPortalBridge

    public SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session)

Parameters:
  `session` -

Method Detail

### getStoreInstance

    public static org.gcube.portal.databook.server.DatabookStore getStoreInstance()

  Returns:
    the unique instance of the store

### getScopeByOrganizationId

    protected String getScopeByOrganizationId(String vreid)

### escapeHtml

    protected String escapeHtml(String html)

  Escape an html string. Escaping data received from the client helps to prevent cross-site script vulnerabilities.

  Parameters:
    `html` - the html string to escape
  Returns:
    the escaped string

### getApplicationProfile

    public org.gcube.portal.databook.shared.ApplicationProfile getApplicationProfile()

  Returns:
    the applicationProfile profile among the ones available in the infrastructure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.